Bug 517220 - X intel driver crashes / system lockup
Summary: X intel driver crashes / system lockup
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 04:37 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2018-04-11 09:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-10 19:08:28 UTC


Attachments (Terms of Use)
/var/log/dmesg (49.78 KB, text/plain)
2009-08-20 13:07 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
/etc/X11/xorg.conf (879 bytes, text/plain)
2009-08-20 13:08 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
/var/log/Xorg.0.log (69.78 KB, text/plain)
2009-08-20 13:08 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
Xorg.0.log.old after the crash (50.79 KB, text/plain)
2009-08-27 17:41 UTC, Armands Liepins
no flags Details
Xorg.0.log.old (62.57 KB, text/plain)
2009-08-28 19:34 UTC, Armands Liepins
no flags Details
Xorg.0.log.old (77.91 KB, text/plain)
2009-09-01 17:48 UTC, Armands Liepins
no flags Details

Description Kai Engert (:kaie) (inactive account) 2009-08-13 04:37:28 UTC
I came from http://fedoraproject.org/wiki/Bugs/Common#Miscellaneous_problems_with_Intel_graphics_adapters


Description of problem:
Frequent system crashes/lockups, at least once per day.
Sometimes system is stuck completely (mouse pointer frozen, no response to ping).
Sometimes system still responds to ping/ssh, but any attempts to bring down X and restart fail. Display remains unchanged. Mouse still responsive.


Version-Release number of selected component (if applicable):
Fedora 11 with all updates.
xorg-x11-drv-intel-2.7.0-7.fc11


How reproducible:
Run system, use X, wait until it crashes.


Steps to Reproduce:
No reliable steps.

  
Additional info:

As suggested in the common problems document, I tried to add "nomodeset".
That wasn't sufficient, still crashed.

Then I added 
        Option "AccelMethod" "EXA"
to xorg.conf/Device.

This appears to have helped. No more crashes during the last 48 hours.

Comment 1 Matěj Cepl 2009-08-13 13:25:07 UTC
Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Comment 2 Kai Engert (:kaie) (inactive account) 2009-08-20 13:07:39 UTC
Created attachment 358084 [details]
/var/log/dmesg

Comment 3 Kai Engert (:kaie) (inactive account) 2009-08-20 13:08:06 UTC
Created attachment 358085 [details]
/etc/X11/xorg.conf

Comment 4 Kai Engert (:kaie) (inactive account) 2009-08-20 13:08:37 UTC
Created attachment 358086 [details]
/var/log/Xorg.0.log

Comment 5 Kai Engert (:kaie) (inactive account) 2009-08-20 13:18:25 UTC
(In reply to comment #1)
> Please attach your X server config file (/etc/X11/xorg.conf, if available),
> /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report
> as individual uncompressed file attachments using the bugzilla file attachment
> link below.  

Done.

Please note, right now I'm running using the internal LCD display (1400x1050), but when I crashed in the past I had used an external monitor (1600x1200). I guess that doesn't matter.

No changes to xorg.conf has been made since I fixed the crash by adding 
  Option "AccelMethod" "EXA"

Comment 6 Armands Liepins 2009-08-27 17:41:06 UTC
Created attachment 358928 [details]
Xorg.0.log.old after the crash

Comment 7 Armands Liepins 2009-08-27 17:55:46 UTC
Probably the same bug here. It happens unpredictably, most often using NoMachine NX Client, screen update stops, but mouse cursor still moves. I can ssh and "kill -9 X", system returns to KDM login screen then, but somtimes not, leaving console at text mode.

xorg-x11-drv-intel-2.7.0-7.fc11.i586

Comment 8 Armands Liepins 2009-08-28 19:32:25 UTC
It seems intel driver is full with bugs.

Comment 9 Armands Liepins 2009-08-28 19:34:24 UTC
Created attachment 359109 [details]
Xorg.0.log.old

Comment 10 Armands Liepins 2009-09-01 17:48:19 UTC
Created attachment 359434 [details]
Xorg.0.log.old

Comment 12 Matěj Cepl 2009-11-05 18:36:18 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 13 Chris Campbell 2009-12-04 14:42:39 UTC
All logs aboard, so I consider this bug triaged to the developer, however, Kai, could you update your system to the latest build per Comment #12 and let us know the results?

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 14 Kai Engert (:kaie) (inactive account) 2010-03-10 19:08:28 UTC
I've updated the system to F-12 long ago, so I can't test F-11 packages.

However, I'm no longer using any AccelMethod Options, and the F-12 has been working fine during the last months, so we could consider this bug fixed.


Note You need to log in before you can comment on or make changes to this bug.